com.datecs.linea

## Class LineaPro.BatteryInfo

- java.lang.Object
- - com.datecs.linea.LineaPro.BatteryInfo

- Enclosing class:
    LineaPro

      public static class LineaPro.BatteryInfo
      extends java.lang.Object

  Battery information.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `LineaPro.BatteryInfo.Fuelgauge` Represents fuel gauge battery information.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LineaPro.BatteryInfo` | `create(byte[] data)` Create instance of this class from binary data.
    `int` | `getCapacity()` Get battery capacity in %.
    `byte[]` | `getData()` Get the creation data.
    `LineaPro.BatteryInfo.Fuelgauge` | `getFuelgauge()` Get fuel gauge information.
    `int` | `getHealthLevel()` Get battery health level in %.
    `int` | `getInitialCapacity()` Get battery initial capacity in mAh.
    `int` | `getVoltage()` Get battery voltage level in mV.
    `boolean` | `isCharging()` Get battery charging state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static LineaPro.BatteryInfo create(byte[] data)

      Create instance of this class from binary data.
      Parameters:
        `data` - the data.
      Returns:
        battery information.

    - #### getData

          public byte[] getData()

      Get the creation data.
      Returns:
        the data.

    - #### getVoltage

          public int getVoltage()

      Get battery voltage level in mV.
      Returns:
        battery voltage level.

    - #### getCapacity

          public int getCapacity()

      Get battery capacity in %.
      Returns:
        battery capacity.

    - #### getHealthLevel

          public int getHealthLevel()

      Get battery health level in %.
      Returns:
        battery health level.

    - #### getInitialCapacity

          public int getInitialCapacity()

      Get battery initial capacity in mAh.
      Returns:
        battery initial capacity.

    - #### isCharging

          public boolean isCharging()

      Get battery charging state.
      Returns:
        battery charging state.

    - #### getFuelgauge

          public LineaPro.BatteryInfo.Fuelgauge getFuelgauge()

      Get fuel gauge information.

      Returns:
        Fuel gauge information or null if not present.